package com.diagbot.web;


import com.diagbot.dto.IntroduceDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.IntroduceInfoFacade;
import com.diagbot.vo.IntroduceByQuestionVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 提示信息 前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2018-11-15
 */
@RestController
@RequestMapping("/introduceInfo")
@Api(value = "提示信息相关API", tags = { "提示信息相关API" })
public class IntroduceInfoController {

    @Autowired
    IntroduceInfoFacade introduceInfoFacade;

    @ApiOperation(value = "根据标签返回提示信息[by:zhaops]",
            notes = "questionId: 标签id，必填<br>" +
                    "type：标签类型，必填")
    @PostMapping("/getByQuestion")
    public RespDTO<IntroduceDTO> getByQuestion(IntroduceByQuestionVO introduceByQuestionVO) {
        IntroduceDTO introduceDTO = introduceInfoFacade.getByQuestion(introduceByQuestionVO);
        return RespDTO.onSuc(introduceDTO);
    }
}
