package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.diagbot.entity.IntroduceDetail;
import com.diagbot.entity.IntroduceInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.IntroduceInfoServiceImpl;
import com.diagbot.util.UserUtils;
import com.diagbot.vo.IntroduceVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/16 14:30
 */
@Component
public class IntroduceInfoFacade extends IntroduceInfoServiceImpl {
    @Autowired
    IntroduceMapFacade introduceMapFacade;
    @Autowired
    IntroduceDetailFacade introduceDetailFacade;

    /**
     * 保存提示信息（新增or修改）
     *
     * @param introduceVO
     * @return
     */
    public Boolean saveIntroduce(IntroduceVO introduceVO) {
        IntroduceInfo introduceInfo = new IntroduceInfo();
        if (!(introduceVO.getId() == null)) {
            introduceInfo = this.getById(introduceVO.getId());
            introduceInfo.setModifier(UserUtils.getCurrentPrincipleID());
            introduceInfo.setGmtModified(new Date());
        } else {
            introduceInfo.setCreator(UserUtils.getCurrentPrincipleID());
            introduceInfo.setGmtCreate(new Date());
        }
        introduceInfo.setName(introduceVO.getName());
        introduceInfo.setRemark(introduceVO.getRemark());

        //明细信息不更新，每次都删除重新插入
        //删除已有明细
        if (!(introduceInfo.getId() == null)) {
            UpdateWrapper<IntroduceDetail> detailUpdateWrapper = new UpdateWrapper<>();
            detailUpdateWrapper.eq("is_deleted", IsDeleteEnum.N.getKey()).
                    eq("introduce_id", introduceInfo.getId()).
                    set("is_deleted", IsDeleteEnum.Y.getKey()).
                    set("gmt_modified", new Date()).
                    set("modifier", UserUtils.getCurrentPrincipleID());
            introduceDetailFacade.update(new IntroduceDetail(), detailUpdateWrapper);
        }
        //插入新的明细记录
        introduceDetailFacade.saveOrUpdateBatch(introduceVO.getDetailList());

        //更新提示信息
        this.saveOrUpdate(introduceInfo);
        return true;
    }
}
