package com.diagbot.web;


import com.diagbot.dto.RespDTO;
import com.diagbot.facade.IntroduceInfoFacade;
import com.diagbot.vo.IntroduceVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 提示信息 前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2018-11-16
 */
@RestController
@RequestMapping("/introduceInfo")
@Api(value = "提示信息维护相关API", tags = { "提示信息维护相关API" })
public class IntroduceInfoController {

    @Autowired
    IntroduceInfoFacade introduceInfoFacade;

    @ApiOperation(value = "保存提示信息[by:zhaops]",
            notes = "id: 修改时带id,新增时未空<br>" +
                    "name: 名称，必填<br>" +
                    "remark：备注<br>" +
                    "detailList:提示信息明细列表")
    @PostMapping("/saveIntroduce")
    public RespDTO<Boolean> saveIntroduce(IntroduceVO introduceVO) {
        Boolean data = introduceInfoFacade.saveIntroduce(introduceVO);
        return RespDTO.onSuc(data);
    }
}
